Search found 23 matches

by BobsTheDude
Thu Jul 04, 2019 2:30 am
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2969

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

I followed the git instructions and it built successfully.
by BobsTheDude
Wed Jul 03, 2019 12:56 pm
Forum: Platform Related Issues
Topic: wX3.1.2 and 3.1.3 build, but all programs crash (missing symbols).
Replies: 5
Views: 1520

Re: wX3.1.2 and 3.1.3 build, but all programs crash (missing symbols).

You did a make install, where did the install put your dylib's? These all work with 3.1.2, I have not tried on anything newer yet. Run the following from the dir you created. Debug shared (multiple dylib) ../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 --enable-monolithic...
by BobsTheDude
Wed Jul 03, 2019 6:12 am
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2969

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Sure, give me the configuration to use. Also, in the https://github.com/mtangoo/wxWidgets release To configure I used .../../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 not the following as the directions showed. ../configure --enable-debug --with-osx_cocoa --with-macosx...
by BobsTheDude
Tue Jul 02, 2019 8:05 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2969

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Can anyone compile this Fork? https://github.com/mtangoo/wxWidgets Ran with: ../configure --enable-debug --with-osx_cocoa --with-macosx-version-min=10.9 make -j4 Does not compile, has errors 3 of them 'const wxCompletionItem', but the function is not marked const. But nothing like the error you wer...
by BobsTheDude
Tue Jul 02, 2019 3:46 pm
Forum: Compiler / Linking / IDE Related
Topic: Cannot Compile wxWidgets with MacOSx SDK 10.14
Replies: 16
Views: 2969

Re: Cannot Compile wxWidgets with MacOSx SDK 10.14

Couple things: 1. What version of OSX are you actually running 2. Run gcc --version post output? 3. Is this a virtual installation? 3. Can you run the following for a test 4. Do you have XCode installed, if so what version? 5. Do you have the command line tools installed? Not sure what you have conf...
by BobsTheDude
Wed May 01, 2019 9:05 am
Forum: Compiler / Linking / IDE Related
Topic: Configure wxWidgets to use Xcode on a macOS
Replies: 2
Views: 2517

Configure wxWidgets to use Xcode on a macOS

These steps work with wxWidgets compiled outside of Xcode, and allow you to build wxWidgets Applications using Xcode. Setup: macOS Mojave Version 10.14.4 Version 10.2.1 (10E1001) wxWidgets-3.1.2 [*]If you are using wxWidgets installed by brew or have a version of wxWidgets already installed skip ste...
by BobsTheDude
Tue Apr 30, 2019 11:06 pm
Forum: Compiler / Linking / IDE Related
Topic: g++ doesn'twork with SDK/version options
Replies: 5
Views: 1053

Re: g++ doesn'twork with SDK/version options

Actually if you installed Xcode and command line tools gcc will default to clang. Type: $ gcc --version You should get something similar: Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platfo...
by BobsTheDude
Fri Apr 26, 2019 9:29 pm
Forum: Open Discussion
Topic: BBCode Offline Editor
Replies: 0
Views: 3180

BBCode Offline Editor

Can someone point me to an offline BBCode editor for macOS. I have a tutorial for macOS/Xcode/wxWidgets with images that I would like to post, but the online editing is really not an option as I need quite a bit of time to format and retype it. Ideally, once I finish I would then take the code and j...